import MapData from './model/data/MapData';

import { getJSON } from './util';
import { loadMap } from './view/map';
import Renderer from './view/renderer/Renderer';

window.onload = async () => {
	const canvas = document.getElementById('rpgedit') as HTMLCanvasElement;
	if (!canvas)
		return;

	const renderer = new Renderer(canvas);

	const map = new MapData(await getJSON('resources/map/test.json'));
	const mapView = await loadMap(renderer, map);
	mapView.render();
};
